Class | El4r::ELInstance
In: | bin/el4r-instance
Parent: | Object

### Methods

el4r_add_garbage_lispobj el4r_args_to_lispseq el4r_backtrace el4r_boot el4r_boot__noinit el4r_callback? el4r_conv_regexp el4r_debug el4r_elobject_new el4r_get el4r_get_garbage_lispobj_ids el4r_interrupt el4r_lisp_eval el4r_load el4r_log el4r_log_io el4r_p el4r_prin1 el4r_prin1_to_string el4r_process_autoloads el4r_raise_lisp_error el4r_readfile el4r_recv el4r_reraise_last_error el4r_ruby2lisp el4r_ruby_eval el4r_rubyproc_to_lambda el4r_send el4r_shutdown el4r_treat_ctrl_codes el4r_wait_expr el4r_wait_expr_loop el4r_with_call new

### Included Modules

ELMethodsMixin

### Attributes

conf | [R] | settings by ~/.el4rrc.rb
el4r_homedir | [RW] | el4r_load evals an EmacsRuby script from this directory.
el4r_is_debug | [RW] | If `true`, verbose log output.
el4r_rubyobj_stock | [R] |
elvar | [R] | An Struct like object to handle EmacsLisp‘s variable.
outer | [RW] |

### Public Class methods

new(conf)

### Public Instance methods

el4r_add_garbage_lispobj(id)
el4r_args_to_lispseq(*args, &block)
el4r_backtrace(msg = nil)

Write a backtrace message to the log.

el4r_boot()

Startup el4r.

el4r_boot__noinit()

Startup el4r without loading init.rb.

el4r_callback?()
el4r_conv_regexp(re)

Convert a Ruby Regexp into EmacsLisp.

el4r_debug(msg = nil) {|| ...}

Write a log message if el4r is debug.

el4r_elobject_new(id, klass = nil)

Create an ELObject.

el4r_get()
el4r_get_garbage_lispobj_ids()
el4r_interrupt()
el4r_lisp_eval(lispexpr)

Eval an EmacsLisp expression.

el4r_load(path_to_rb, is_noerror = nil)

Load an EmacsRuby script.

If `path_to_rb`‘s dirname is omitted, searches a script from el4r_load_path. If `is_noerror` is true and `path_to_rb` is not found, returns false instead of raise LoadError. If success, returns true.

el4r_log(msg)

Write a log message.

el4r_log_io()

Log IO object.

el4r_p(*objs)

Write string representation(only in Ruby) of all the argument to the log.

el4r_prin1(*objs)

Write string representation(both in Ruby and in EmacsLisp) of all the argument to the log.

el4r_prin1_to_string(obj)

String representation. obj.inspect and (prin1-to-string obj).

el4r_process_autoloads(dir=conf.autoload_dir)
el4r_raise_lisp_error()
el4r_readfile(file)
el4r_recv()
el4r_reraise_last_error()
el4r_ruby2lisp(obj)

Convert a Ruby object into EmacsLisp.

el4r_ruby_eval(source)

Eval +source. When an Exception is raised, write a stacktrace message to the log.

el4r_rubyproc_to_lambda(attrs = nil, &block)

Convert a Ruby Proc into EmacsLisp `attrs` is the same as that of `defun`.

el4r_send(lispexpr)
el4r_shutdown()

Obsolete.

el4r_treat_ctrl_codes(&block)

Treat EmacsLisp strings containing C-c, C-d, C-q, C-s, C-v, C-w, C-z

el4r_wait_expr()
el4r_wait_expr_loop()
el4r_with_call() {|| ...}

[Validate]